org.apache.ignite.internal.processors

## Interface GridProcessor

All Superinterfaces:
  GridComponent

All Known Subinterfaces:
  CacheObjectBinaryProcessor, DiscoveryNodeValidationProcessor, GridSecurityProcessor, GridSegmentationProcessor, IgniteCacheObjectProcessor, PlatformProcessor

All Known Implementing Classes:
  CacheObjectBinaryProcessorImpl, ClusterProcessor, DataStreamProcessor, DataStructuresProcessor, GridAffinityProcessor, GridCacheProcessor, GridClockSyncProcessor, GridClosureProcessor, GridContinuousProcessor, GridJobMetricsProcessor, GridJobProcessor, GridOffHeapProcessor, GridOsSecurityProcessor, GridOsSegmentationProcessor, GridPortProcessor, GridProcessorAdapter, GridQueryProcessor, GridResourceProcessor, GridRestProcessor, GridServiceProcessor, GridTaskProcessor, GridTaskSessionProcessor, GridTimeoutProcessor, HadoopNoopProcessor, HadoopProcessorAdapter, IgfsNoopProcessor, IgfsProcessor, IgfsProcessorAdapter, IgniteCacheObjectProcessorImpl, IgniteNoopScheduleProcessor, IgnitePluginProcessor, IgniteScheduleProcessorAdapter, OdbcProcessor, OsDiscoveryNodeValidationProcessor, PlatformNoopProcessor, PlatformProcessorImpl

    @GridToStringExclude
    public interface GridProcessor
    extends GridComponent

Interface for all processors.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016